import{s as X,f as N,n as Y,o as Z}from"../chunks/scheduler.37c15a92.js";import{S as tt,i as et,g as a,s as l,r as nt,A as it,h as s,f as n,c as r,j as V,u as at,x as m,k as x,y as lt,a as i,v as st,d as rt,t as ot,w as ut}from"../chunks/index.7cb9c9b8.js";import{H as mt}from"../chunks/Heading.d3928e2a.js";function gt(z){let o,M,b,y,g,T,u,j,C,f,D="In the first unit of this class, we learned about Reinforcement Learning (RL), the RL process, and the different methods to solve an RL problem. We also <strong>trained our first agents and uploaded them to the Hugging Face Hub.</strong>",P,p,F="In this unit, we’re going to <strong>dive deeper into one of the Reinforcement Learning methods: value-based methods</strong> and study our first RL algorithm: <strong>Q-Learning.</strong>",R,c,G="We’ll also <strong>implement our first RL agent from scratch</strong>, a Q-Learning agent, and will train it in two environments:",$,d,U="<li>Frozen-Lake-v1 (non-slippery version): where our agent will need to <strong>go from the starting state (S) to the goal state (G)</strong> by walking only on frozen tiles (F) and avoiding holes (H).</li> <li>An autonomous taxi: where our agent will need <strong>to learn to navigate</strong> a city to <strong>transport its passengers from point A to point B.</strong></li>",k,h,W,q,v,B="Concretely, we will:",I,L,O="<li>Learn about <strong>value-based methods</strong>.</li> <li>Learn about the <strong>differences between Monte Carlo and Temporal Difference Learning</strong>.</li> <li>Study and implement <strong>our first RL algorithm</strong>: Q-Learning.</li>",Q,_,J="This unit is <strong>fundamental if you want to be able to work on Deep Q-Learning</strong>: the first Deep RL algorithm that played Atari games and beat the human level on some of them (breakout, space invaders, etc).",S,w,K="So let’s get started! 🚀",A,H,E;return g=new mt({props:{title:"Introduction to Q-Learning",local:"introduction-q-learning",headingTag:"h1"}}),{c(){o=a("meta"),M=l(),b=a("p"),y=l(),nt(g.$$.fragment),T=l(),u=a("img"),C=l(),f=a("p"),f.innerHTML=D,P=l(),p=a("p"),p.innerHTML=F,R=l(),c=a("p"),c.innerHTML=G,$=l(),d=a("ol"),d.innerHTML=U,k=l(),h=a("img"),q=l(),v=a("p"),v.textContent=B,I=l(),L=a("ul"),L.innerHTML=O,Q=l(),_=a("p"),_.innerHTML=J,S=l(),w=a("p"),w.textContent=K,A=l(),H=a("p"),this.h()},l(t){const e=it("svelte-u9bgzb",document.head);o=s(e,"META",{name:!0,content:!0}),e.forEach(n),M=r(t),b=s(t,"P",{}),V(b).forEach(n),y=r(t),at(g.$$.fragment,t),T=r(t),u=s(t,"IMG",{src:!0,alt:!0,width:!0}),C=r(t),f=s(t,"P",{"data-svelte-h":!0}),m(f)!=="svelte-1ynp68f"&&(f.innerHTML=D),P=r(t),p=s(t,"P",{"data-svelte-h":!0}),m(p)!=="svelte-1dfcpck"&&(p.innerHTML=F),R=r(t),c=s(t,"P",{"data-svelte-h":!0}),m(c)!=="svelte-1xt90qk"&&(c.innerHTML=G),$=r(t),d=s(t,"OL",{"data-svelte-h":!0}),m(d)!=="svelte-1avcekp"&&(d.innerHTML=U),k=r(t),h=s(t,"IMG",{src:!0,alt:!0}),q=r(t),v=s(t,"P",{"data-svelte-h":!0}),m(v)!=="svelte-innzr2"&&(v.textContent=B),I=r(t),L=s(t,"UL",{"data-svelte-h":!0}),m(L)!=="svelte-y97j7m"&&(L.innerHTML=O),Q=r(t),_=s(t,"P",{"data-svelte-h":!0}),m(_)!=="svelte-1c70rr4"&&(_.innerHTML=J),S=r(t),w=s(t,"P",{"data-svelte-h":!0}),m(w)!=="svelte-vkoquy"&&(w.textContent=K),A=r(t),H=s(t,"P",{}),V(H).forEach(n),this.h()},h(){x(o,"name","hf:doc:metadata"),x(o,"content",ft),N(u.src,j="https://huggingface.co/datasets/huggingface-deep-rl-course/course-images/resolve/main/en/unit3/thumbnail.jpg")||x(u,"src",j),x(u,"alt","Unit 2 thumbnail"),x(u,"width","100%"),N(h.src,W="https://huggingface.co/datasets/huggingface-deep-rl-course/course-images/resolve/main/en/unit3/envs.gif")||x(h,"src",W),x(h,"alt","Environments")},m(t,e){lt(document.head,o),i(t,M,e),i(t,b,e),i(t,y,e),st(g,t,e),i(t,T,e),i(t,u,e),i(t,C,e),i(t,f,e),i(t,P,e),i(t,p,e),i(t,R,e),i(t,c,e),i(t,$,e),i(t,d,e),i(t,k,e),i(t,h,e),i(t,q,e),i(t,v,e),i(t,I,e),i(t,L,e),i(t,Q,e),i(t,_,e),i(t,S,e),i(t,w,e),i(t,A,e),i(t,H,e),E=!0},p:Y,i(t){E||(rt(g.$$.fragment,t),E=!0)},o(t){ot(g.$$.fragment,t),E=!1},d(t){t&&(n(M),n(b),n(y),n(T),n(u),n(C),n(f),n(P),n(p),n(R),n(c),n($),n(d),n(k),n(h),n(q),n(v),n(I),n(L),n(Q),n(_),n(S),n(w),n(A),n(H)),n(o),ut(g,t)}}}const ft='{"title":"Introduction to Q-Learning","local":"introduction-q-learning","sections":[],"depth":1}';function pt(z){return Z(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class vt extends tt{constructor(o){super(),et(this,o,pt,gt,X,{})}}export{vt as component};
