import{s as ue,n as ce,o as he}from"../chunks/scheduler.37c15a92.js";import{S as pe,i as de,g as s,s as i,r as C,A as ge,h as o,f as n,c as a,j as fe,u as M,x as l,k as me,y as Te,a as r,v as D,d as P,t as k,w as q}from"../chunks/index.7cb9c9b8.js";import{H as R}from"../chunks/Heading.d3928e2a.js";function $e(Y){let f,z,y,F,m,S,u,Z='The Decision Transformer model was introduced by <a href="https://arxiv.org/abs/2106.01345" rel="nofollow">“Decision Transformer: Reinforcement Learning via Sequence Modeling” by Chen L. et al</a>. It abstracts Reinforcement Learning as a conditional-sequence modeling problem.',j,c,ee=`The main idea is that instead of training a policy using RL methods, such as fitting a value function, that will tell us what action to take to maximize the return (cumulative reward), <strong>we use a sequence modeling algorithm (Transformer) that, given a desired return, past states, and actions, will generate future actions to achieve this desired return</strong>.
It’s an autoregressive model conditioned on the desired return, past states, and actions to generate future actions that achieve the desired return.`,E,h,te="This is a complete shift in the Reinforcement Learning paradigm since we use generative trajectory modeling (modeling the joint distribution of the sequence of states, actions, and rewards) to replace conventional RL algorithms. This means that in Decision Transformers, we don’t maximize the return but rather generate a series of future actions that achieve the desired return.",A,p,ne="The 🤗 Transformers team integrated the Decision Transformer, an Offline Reinforcement Learning method, into the library as well as the Hugging Face Hub.",I,d,O,g,re='To learn more about Decision Transformers, you should read the blogpost we wrote about it <a href="https://huggingface.co/blog/decision-transformers" rel="nofollow">Introducing Decision Transformers on Hugging Face</a>',U,T,B,$,ie='Now that you understand how Decision Transformers work thanks to <a href="https://huggingface.co/blog/decision-transformers" rel="nofollow">Introducing Decision Transformers on Hugging Face</a>, you’re ready to learn to train your first Offline Decision Transformer model from scratch to make a half-cheetah run.',N,v,ae='Start the tutorial here 👉 <a href="https://huggingface.co/blog/train-decision-transformers" rel="nofollow">https://huggingface.co/blog/train-decision-transformers</a>',G,w,J,b,se="For more information, we recommend that you check out the following resources:",K,x,oe='<li><a href="https://arxiv.org/abs/2106.01345" rel="nofollow">Decision Transformer: Reinforcement Learning via Sequence Modeling</a></li> <li><a href="https://arxiv.org/abs/2202.05607" rel="nofollow">Online Decision Transformer</a></li>',Q,L,V,_,le='This section was written by <a href="https://twitter.com/edwardbeeching">Edward Beeching</a>',W,H,X;return m=new R({props:{title:"Decision Transformers",local:"decision-transformers",headingTag:"h1"}}),d=new R({props:{title:"Learn about Decision Transformers",local:"learn-about-decision-transformers",headingTag:"h2"}}),T=new R({props:{title:"Train your first Decision Transformers",local:"train-your-first-decision-transformers",headingTag:"h2"}}),w=new R({props:{title:"Further reading",local:"further-reading",headingTag:"h2"}}),L=new R({props:{title:"Author",local:"author",headingTag:"h2"}}),{c(){f=s("meta"),z=i(),y=s("p"),F=i(),C(m.$$.fragment),S=i(),u=s("p"),u.innerHTML=Z,j=i(),c=s("p"),c.innerHTML=ee,E=i(),h=s("p"),h.textContent=te,A=i(),p=s("p"),p.textContent=ne,I=i(),C(d.$$.fragment),O=i(),g=s("p"),g.innerHTML=re,U=i(),C(T.$$.fragment),B=i(),$=s("p"),$.innerHTML=ie,N=i(),v=s("p"),v.innerHTML=ae,G=i(),C(w.$$.fragment),J=i(),b=s("p"),b.textContent=se,K=i(),x=s("ul"),x.innerHTML=oe,Q=i(),C(L.$$.fragment),V=i(),_=s("p"),_.innerHTML=le,W=i(),H=s("p"),this.h()},l(e){const t=ge("svelte-u9bgzb",document.head);f=o(t,"META",{name:!0,content:!0}),t.forEach(n),z=a(e),y=o(e,"P",{}),fe(y).forEach(n),F=a(e),M(m.$$.fragment,e),S=a(e),u=o(e,"P",{"data-svelte-h":!0}),l(u)!=="svelte-1pl0nz2"&&(u.innerHTML=Z),j=a(e),c=o(e,"P",{"data-svelte-h":!0}),l(c)!=="svelte-1kfqzgt"&&(c.innerHTML=ee),E=a(e),h=o(e,"P",{"data-svelte-h":!0}),l(h)!=="svelte-1j807k8"&&(h.textContent=te),A=a(e),p=o(e,"P",{"data-svelte-h":!0}),l(p)!=="svelte-zczmxc"&&(p.textContent=ne),I=a(e),M(d.$$.fragment,e),O=a(e),g=o(e,"P",{"data-svelte-h":!0}),l(g)!=="svelte-pb625j"&&(g.innerHTML=re),U=a(e),M(T.$$.fragment,e),B=a(e),$=o(e,"P",{"data-svelte-h":!0}),l($)!=="svelte-kwpyu2"&&($.innerHTML=ie),N=a(e),v=o(e,"P",{"data-svelte-h":!0}),l(v)!=="svelte-rvkt4a"&&(v.innerHTML=ae),G=a(e),M(w.$$.fragment,e),J=a(e),b=o(e,"P",{"data-svelte-h":!0}),l(b)!=="svelte-144wssd"&&(b.textContent=se),K=a(e),x=o(e,"UL",{"data-svelte-h":!0}),l(x)!=="svelte-iqu6oe"&&(x.innerHTML=oe),Q=a(e),M(L.$$.fragment,e),V=a(e),_=o(e,"P",{"data-svelte-h":!0}),l(_)!=="svelte-11016ov"&&(_.innerHTML=le),W=a(e),H=o(e,"P",{}),fe(H).forEach(n),this.h()},h(){me(f,"name","hf:doc:metadata"),me(f,"content",ve)},m(e,t){Te(document.head,f),r(e,z,t),r(e,y,t),r(e,F,t),D(m,e,t),r(e,S,t),r(e,u,t),r(e,j,t),r(e,c,t),r(e,E,t),r(e,h,t),r(e,A,t),r(e,p,t),r(e,I,t),D(d,e,t),r(e,O,t),r(e,g,t),r(e,U,t),D(T,e,t),r(e,B,t),r(e,$,t),r(e,N,t),r(e,v,t),r(e,G,t),D(w,e,t),r(e,J,t),r(e,b,t),r(e,K,t),r(e,x,t),r(e,Q,t),D(L,e,t),r(e,V,t),r(e,_,t),r(e,W,t),r(e,H,t),X=!0},p:ce,i(e){X||(P(m.$$.fragment,e),P(d.$$.fragment,e),P(T.$$.fragment,e),P(w.$$.fragment,e),P(L.$$.fragment,e),X=!0)},o(e){k(m.$$.fragment,e),k(d.$$.fragment,e),k(T.$$.fragment,e),k(w.$$.fragment,e),k(L.$$.fragment,e),X=!1},d(e){e&&(n(z),n(y),n(F),n(S),n(u),n(j),n(c),n(E),n(h),n(A),n(p),n(I),n(O),n(g),n(U),n(B),n($),n(N),n(v),n(G),n(J),n(b),n(K),n(x),n(Q),n(V),n(_),n(W),n(H)),n(f),q(m,e),q(d,e),q(T,e),q(w,e),q(L,e)}}}const ve='{"title":"Decision Transformers","local":"decision-transformers","sections":[{"title":"Learn about Decision Transformers","local":"learn-about-decision-transformers","sections":[],"depth":2},{"title":"Train your first Decision Transformers","local":"train-your-first-decision-transformers","sections":[],"depth":2},{"title":"Further reading","local":"further-reading","sections":[],"depth":2},{"title":"Author","local":"author","sections":[],"depth":2}],"depth":1}';function we(Y){return he(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class _e extends pe{constructor(f){super(),de(this,f,we,$e,ue,{})}}export{_e as component};
